package org.gvsig.mobile.core.constants;

import org.zaval.lw.event.LwMouseEvent;

/**
 * This interface contains the constants used to determine the types of GvSigMouseEvents
 */
public interface GvSigMouseEventType {
	public static final int MOUSE_CLICKED=LwMouseEvent.MOUSE_CLICKED;
	public static final int MOUSE_PRESSED=LwMouseEvent.MOUSE_PRESSED;
	public static final int MOUSE_RELEASED=LwMouseEvent.MOUSE_RELEASED;
	public static final int MOUSE_ENTERED=LwMouseEvent.MOUSE_ENTERED;
	public static final int MOUSE_EXITED=LwMouseEvent.MOUSE_EXITED;
	public static final int MOUSE_DRAGGED=LwMouseEvent.MOUSE_DRAGGED;
	public static final int MOUSE_STARTDRAGGED=LwMouseEvent.MOUSE_STARTDRAGGED;
	public static final int MOUSE_ENDDRAGGED=LwMouseEvent.MOUSE_ENDDRAGGED;
	public static final int MOUSE_MOVED=LwMouseEvent.MOUSE_MOVED;
}
