package org.gvsig.mobile.ecw.layer;

import java.io.File;

import org.gvsig.fmap.mapcontext.MapContext;
import org.gvsig.mobile.ecw.driver.EcwRasterDriver;
import org.gvsig.mobile.extension.base.layer.raster.FLayerGenericRaster;
import org.gvsig.mobile.extension.base.layer.raster.RasterFileAdapter;

public class ECWLayerCreator {
	
	public static FLayerGenericRaster createEcwLayer(File f, String name, MapContext mc){
		EcwRasterDriver drv = new EcwRasterDriver();
		RasterFileAdapter adapter = new RasterFileAdapter(f);
		adapter.setDriver(drv);
		
		FLayerGenericRaster ecwLayer = new FLayerGenericRaster();
//		ecwLayer.setMapContext(mc);
		
		ecwLayer.setSource(adapter);
		
		adapter.start();
		
		ecwLayer.setVisible(true);
		ecwLayer.setName(name);
		return ecwLayer;		
	}

}
