package org.gvsig.mobile.extension.editing.functionality;

import org.gvsig.mobile.core.interfaces.IGvSigMouseEvent;
import org.gvsig.mobile.extension.editing.dialog.ModifyEditingTableDialog;
import org.osgi.framework.ServiceReference;

/**
 * @author Vicente Caballero Navarro
 */
public class ModifyEditingTableFunc extends EditingFunctionality {
    private ModifyEditingTableDialog d     = null;
    
    public boolean execution(ServiceReference gvRef) {
        super.execution(gvRef);
        try {
            d = new ModifyEditingTableDialog(true, this.getBundleContext(), getEditingLayer());
            d.showDialog();
            super.stop();
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }
    
    public void configure() {
        
    }
    
    public void onNewMouseEventListened(IGvSigMouseEvent event) {
        
    }
}
