package org.gvsig.mobile.extension.wkprojection.jhlabs.map.osm;

import java.awt.geom.Point2D;

import org.gvsig.mobile.libProjection.impl.TransformationAlgorithm;
import org.osgi.framework.BundleContext;

public class OSMSphericalMercatorTransformation extends TransformationAlgorithm {

	public OSMSphericalMercatorTransformation(String Abrev, String datumAbrev, BundleContext bc) {
		super(Abrev, datumAbrev, bc);
	}
	
	public Point2D fromWGS84(Point2D p) {
		return new Point2D.Double(p.getX(), p.getY());
	}

	public double getPrecision() {
		return 0; // exact transformation
	}

	public void setPrecision(double precision) {
	}

	public Point2D toWGS84(Point2D p) {
		return new Point2D.Double(p.getX(), p.getY());
	}

}
