package org.gvsig.mobile.gpe;

import org.gvsig.fmap.dal.store.gpe.DALGPELibrary;
import org.gvsig.gpe.prov.gml.GmlLibrary;
import org.gvsig.gpe.prov.kml.KmlLibrary;
import org.gvsig.gpe.prov.xml.XmlLibrary;
import org.gvsig.mobile.core.concepts.BaseActivator;
import org.gvsig.mobile.core.libraries.LibrariesManager;
import org.gvsig.xmlpull.lib.impl.DefaultXmlPullLibrary;
import org.gvsig.xmlpull.prov.kxml.KxmlLibrary;
import org.osgi.framework.BundleContext;

public class Activator extends BaseActivator {
	
	public void start(BundleContext context) throws Exception {
		
		// DefaultGPELibrary defaultGPElibrary = new DefaultGPELibrary();
		// LibrariesManager.getInstance().registerLibrary(defaultGPElibrary);

		// DefaultGPEDataTypesLibrary gpeDataTypesLibrary = new DefaultGPEDataTypesLibrary();
		// LibrariesManager.getInstance().registerLibrary(gpeDataTypesLibrary);
		
		
		XmlLibrary defaultXmllibrary = new XmlLibrary();
		LibrariesManager.getInstance().registerLibrary(defaultXmllibrary);
		new DefaultXmlPullLibrary();
		new KxmlLibrary();
		
		KmlLibrary kmlLibrary = new KmlLibrary();
		LibrariesManager.getInstance().registerLibrary(kmlLibrary);
		
		GmlLibrary gmlLibrary = new GmlLibrary();
		LibrariesManager.getInstance().registerLibrary(gmlLibrary);

		// ============================
		
		DALGPELibrary lib = new  DALGPELibrary();
		LibrariesManager.getInstance().registerLibrary(lib);
		
		GPEFileExtension dalf = new GPEFileExtension("GPEFileExtension", context);
		dalf.registerAll();

	}

	public void stop(BundleContext context) throws Exception {

	}

}
