package org.gvsig.mobile.ui.awt.mapcontrol.snapping;


/**
 * @author Vicente Caballero Navarro
 */
public interface ISnapper {

	/**
	 * Implement this if you need a Snapper more important than the others.
	 * Default value is 0 (no prority).
	 * @return
	 */
	int getPriority();

	boolean isEnabled();
	public void setEnabled(boolean enabled);
	public void setPriority(int priority);
	public String getToolTipText();
}
