package org.gvsig.mobile.core.concepts;


import org.gvsig.mobile.core.extensions.interfaces.ITool;
import org.osgi.framework.BundleContext;


/**
 * It's a tool that does nothing but broadcasting it's 
 * initialization and finalization state
 * 
 * @author jcarras
 *
 */
public class DefaultExclusiveTool extends DefaultTool {
	
	public DefaultExclusiveTool() {	
		super();
		setToolType(ITool.EXCLUSIVE_TOOL);
	}
	
	public DefaultExclusiveTool(String icon, String key, String shortDescription, BundleContext bc, int position){
		setIcon(icon);
		setKey(key);
		setShortDescription(shortDescription);
		setToolType(ITool.EXCLUSIVE_TOOL);
		setPosition(position);
		setBundleContext(bc);
	}
}
