package org.gvsig.mobile.core.concepts;

import org.gvsig.mobile.core.extensions.interfaces.IFunctionality;
import org.gvsig.mobile.core.extensions.interfaces.IFunctionalityEnvelope;


public class FunctionalityEnvelope implements IFunctionalityEnvelope {
	
	private IFunctionality value;
	private int serviceEvent;
	private Object ID;
	private String scope;
	
	public FunctionalityEnvelope(Object ID, String scope, IFunctionality value, int serviceEvent) {
		this.value = value;
		this.serviceEvent = serviceEvent;
		this.scope = scope;
		this.ID = ID;
	}

	public int getServiceEvent() {
		return this.serviceEvent;
	}

	public Object getValue() {
		return value;
	}

	public Object getIdentification() {
		return ID;
	}

	public String getScope() {
		return scope;
	}

	public IFunctionality getFunctionality() {
		return value;
	}


}
