package org.gvsig.mobile.core.extensions.interfaces;

import org.gvsig.mobile.core.interfaces.TaskStatusListener;

/**
 * It's a runnable task that broadcasts it's state
 * 
 * @author jcarras
 *
 */

//TODO: LLENAR EL JAVADOC
public interface ITask extends Runnable {
	public void run();
	public void stop(); //Long tasks should implement this method
	public void pause(int milisec);
	public boolean isActive();
	public void notifyProgress(int zero_to_hundred);
	public TaskStatusListener addObserver(TaskStatusListener observer); 
	public TaskStatusListener removeObserver(TaskStatusListener observer);
	public void removeAllObservers();
}