package org.gvsig.mobile.extension.editing.functionality;

import org.gvsig.fmap.dal.exception.DataException;
import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
import org.gvsig.mobile.core.interfaces.IGvSigMouseEvent;
import org.osgi.framework.ServiceReference;

/**
 * @author Vicente Caballero Navarro
 */
public class SelectionClearFunc extends EditingFunctionality {
    
    public boolean execution(ServiceReference gvRef) {
        boolean b = super.execution(gvRef);
        FLyrVect lv = getEditingLayer();
        if (lv != null) {
            try {
                clearAllGraphics();
            	lv.getFeatureStore().getFeatureSelection().deselectAll();
                repaintMap();
            } catch (DataException e) {
                e.printStackTrace();
            }
        }
        super.stop();
        return b;
    }
    
    public void configure() {
        
    }
    
    public void onNewMouseEventListened(IGvSigMouseEvent event) {
        
    }
    
}
