package org.gvsig.mobile.ui.awt.mapcontrol.impl;


import org.gvsig.mobile.ui.awt.mapcontrol.MapControlLocator;
import org.gvsig.mobile.ui.awt.mapcontrol.MapControlManager;


/**
 * @author Vicente Caballero Navarro
 */
public class Snapping {
    /**
     * Register all the Snappers.
     */
    public static void register() {    	
    	if (MapControlLocator.getMapControlManager() == null){
    		MapControlLocator.registerMapControlManager(DefaultMapControlManager.class);
    	}
    	MapControlManager mapControlManager = MapControlLocator.getMapControlManager();
    	    	
    	mapControlManager.registerSnapper("FinalPointSnapper", FinalPointSnapper.class);
    	mapControlManager.registerSnapper("NearestPointSnapper", NearestPointSnapper.class);
    }
}
